unit ues_operadoresbinomicos;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, uparseadorsupersimple;


procedure AgregarOperadoresBinomicos( Evaluador: TEvaluadorExpresionesSimples );

implementation

type
   TOperSuma_F_FF = class(   TOperProcDef )
    procedure evaluar( salidas, entradas: TList ); override;
    constructor Create;
  end;

procedure TOperSuma_F_FF.evaluar( salidas, entradas: TList );
begin
  salidas[0].val_AsFloat:= entradas[0].val_AsFloat + entradas[1].val_AsFloat;
end;

constructor TOperSuma_F_FF.Create;
begin
  inherited Create( '+', 'F', 'FF' );
end;

procedure AgregarOperadoresBinomicos( Evaluador: TEvaluadorExpresionesSimples );
var
  aDef: TOperProcDef;
begin
  aDef:= TOperSuma_F_FF.Create;
  Evaluador.CatalogoOperadoresBinarios.add( aDef );

end;

end.

